---
# https://vitepress.dev/reference/default-theme-home-page
layout: home

hero:
  name: "OpenMCP"
  text: "MCP Debugger and SDK for Elegant Developers"
  tagline: Bridge the last mile from large language models to intelligent agents

  actions:
    - theme: brand
      text: OpenMCP Plugin
      link: ./plugin-tutorial
    - theme: alt
      text: openmcp-sdk
      link: ./sdk-tutorial
    - theme: alt
      text: GitHub
      link: https://github.com/LSTM-Kirigaya/openmcp-client
features:
  - icon:
      src: /images/icons/vscode.svg
      height: 48px
      alt: Integrated Debugging Environment
    title: Integrated Debugging Environment
    details: Combine the inspector with MCP client functions to achieve seamless development and testing
  - icon:
      src: /images/icons/openmcp-edge.svg
      height: 48px
      alt: Provide a complete project-level control panel
    title: Comprehensive Project Management
    details: Provide a complete project-level control panel for efficient MCP project supervision
  - icon:
      src: /images/icons/openmcp-sdk.svg
      height: 48px
      alt: Provide a complete project-level control panel
    title: Complete Deployment Solution
    details: Deploy tested agents to your application or server via openmcp-sdk
---

<br><br>

<h2 id="home-0">
Resolve Issues in Your MCP Agent Development
<br>
<span>Providing Fun and Convenience for Your MCP Agent Development</span>
</h2>

<div class="bilibili-player-container" style="display:flex; width: 100%; justify-content: center;">
<iframe width="90%" height="580" src="https://www.youtube.com/embed/S7igsEhcLiw?si=6sqvbYJxSRoFS26g" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br>

<h2 id="home-1">
Who is OpenMCP for?
<br>
<span>The Development of OpenMCP is for ...</span>
</h2>

<br>

<KTab class="home-tab">
<TwoSideLayout
  label="Professional Software Engineers"
  :texts="[
    'Shift testing left to integrate your development and testing without opening third - party software. It offers extremely rich features.',
    'Manage, debug, and test your intelligent agents freely and elegantly on the left - hand panel.',
    'Every detail of the large language model calling tool is visible at a glance. You can directly reproduce unsatisfactory calling results with one click.',
    'Each conversation will display various performance indicators, facilitating cost management.',
    'The system prompt management panel allows you to easily build your intelligent agent applications with MCP servers and system prompts.'
  ]"
  image="./images/openmcp.chatbot.png"
/>
<TwoSideLayout
  label="Open - Source Community Enthusiasts"
  :texts="[
    'Shift testing left to integrate your development and testing without opening third - party software. It offers extremely rich features.',
    'OpenMCP is completely open - source. You can not only try this product for free but also join us to realize your creative ideas about agents.',
    'The technical details are fully disclosed. You don\'t have to worry about your ideas and tokens being plagiarized.',
    'The persistent system prompt management panel enables you to test the system prompts of actual MCP servers for sharing within the community.',
    'The details of each test will be 100% under Git version control, making it easy for you to share your test results and reproduce others\' MCP projects at zero cost.'
  ]"
  image="./images/opensource.png"
/>
<TwoSideLayout
  label="AI Research Scientists"
  :texts="[
    'Shift testing left to integrate your development and testing without opening third - party software. It offers extremely rich features.',
    'With just a few lines of code, you can quickly turn your scientific research results into MCP servers and connect to any large language model to achieve a user - friendly interface.',
    'All experimental data and configuration parameters are automatically included in the Git version management system, ensuring that research results are traceable and reproducible for academic exchanges and paper reproduction.',
    'Based on OpenMCP, you can quickly complete your demo and shorten the distance from innovation to implementation.'
  ]"
  image="./images/openmcp.chatbot.png"
/>
</KTab>

<br>

<h2 id="home-2">
FAQ
<br>
<span>Waiting for Your Questions</span>
</h2>

<el-collapse>
  <el-collapse-item title="What is OpenMCP suitable for?" name="1">
    As its name suggests, OpenMCP is an MCP debugger and SDK for developers, committed to reducing the full - chain development cost of AI agents and the mental burden of developers. Our mission is to create MCP tools that can solve real - life problems and save working time through OpenMCP, or help engineers and research scientists deliver demos more quickly and make this vision visible to the public.
  </el-collapse-item>
  <el-collapse-item title="Is OpenMCP free?" name="2">
    Yes, OpenMCP is completely open - source. You can not only use this product for free but also join us to realize your creative ideas about agents. The task of OpenMCP is to build an ecosystem around MCP. We believe that MCP development will be a highly customized task in the future, so our current focus is not to rush to create an all - purpose agent, but to steadily build the relevant ecosystem and infrastructure.
  </el-collapse-item>
  <el-collapse-item title="What is OpenMCP not suitable for?" name="3">
    If you try to develop an all - purpose, general AI agent through OpenMCP, you should invest all your money in the research and development of quantum computers instead of visiting this website. Remember, in this era, developing a full - domain general AI agent is likely to be equivalent to telecom fraud.
  </el-collapse-item>
  <el-collapse-item title="Who is developing OpenMCP?" name="4">
    <p>OpenMCP was initially led by LSTM - Kirigaya (Jinhui) for building MCP testing tools related to 3D work. Its main participants include employees from large companies, students majoring in computer - related fields at universities, and some active contributors from the open - source community.</p>
    <p>Identity is not important. I'd like to share a quote with you: "Don't tell me if you can do it. Tell me if you like it."</p>
    <img src="https://pica.zhimg.com/80/v2-3666e84b2f92bf444a5eb64fb9d08e71_1440w.png" style="max-width: 500px;margin-top:10px;"/>
  </el-collapse-item>
  <el-collapse-item title="How can I join you or participate in discussions?" name="5">
    You can learn how to participate in the maintenance and development of OpenMCP through <a href="https://kirigaya.cn/openmcp/preview/join.html" target="_blank">Participate in OpenMCP</a>. Obtain our contact information through <a href="https://kirigaya.cn/openmcp/preview/channel.html" target="_blank">Resource Channel</a>. Currently, there are three main communities: QQ group: 782833642, <a href="https://discord.com/invite/SKTZRf6NzU" target="_blank">OpenMCP Discord Channel</a>, and <a href="https://www.zhihu.com/ring/host/1911121615279849840" target="_blank">Zhihu Circle [OpenMCP Museum]</a>
  </el-collapse-item>
  <el-collapse-item title="How to contact us for cooperation?" name="6">
    For cooperation, please contact Jinhui's personal email: 1193466151@qq.com
  </el-collapse-item>
</el-collapse>